import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsVideo as GdsVideoClass } from "../../../components/video/video.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsVideo = (props) => {
  GdsVideoClass.define();
  const JSXElement = getReactComponent("gds-video");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsVideo.displayName = "GdsVideo";
export {
  GdsVideo
};
